package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF1F2 extends MwfRequest<MWF1F2, MWF1F2Response> {

    @Parameter(name = "BranchId")
    MWF1F2 branchId(String branchId);
    @Parameter(name = "ChannelId")
    MWF1F2 channelId(String channelId);
    @Parameter(name = "ClientType")
    MWF1F2 clientType(String clientType);
    @Parameter(name = "Context")
    MWF1F2 context(String context);
    @Parameter(name = "Ico")
    MWF1F2 ico(String ico);
    @Parameter(name = "ProductClass")
    MWF1F2 productClass(String productClass);
    @Parameter(name = "RWS_ApplicationClientDetail")
    MWF1F2 rWSApplicationClientDetail(java.util.List<MWF1F2RWSApplicationClientDetail> rWSApplicationClientDetail);
}
